Show / Hide Table of Contents

# Class TransparentProxyEndPoint

A proxy end point client is not aware of. Useful when requests are redirected to this proxy end point through port forwarding via router.

##### Inheritance

Object
TransparentProxyEndPoint

###### Namespace: Titanium.Web.Proxy.Models

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public class TransparentProxyEndPoint : TransparentBaseProxyEndPoint

### Constructors

| Improve this Doc View Source

#### TransparentProxyEndPoint(IPAddress, Int32, Boolean)

Initialize a new instance.

##### Declaration

    public TransparentProxyEndPoint(IPAddress ipAddress, int port, bool decryptSsl = true)

##### Parameters

Type | Name | Description
--- | --- | ---
IPAddress | ipAddress | Listening Ip address.
Int32 | port | Listening port.
Boolean | decryptSsl | Should we decrypt ssl?

### Properties

| Improve this Doc View Source

#### GenericCertificateName

Name of the Certificate need to be sent (same as the hostname we want to proxy). This is valid only when UseServerNameIndication is set to false.

##### Declaration

    public override string GenericCertificateName { get; set; }

##### Property Value

Type | Description
--- | ---
String |

### Events

| Improve this Doc View Source

#### BeforeSslAuthenticate

Before Ssl authentication this event is fired.

##### Declaration

    public event AsyncEventHandler<BeforeSslAuthenticateEventArgs> BeforeSslAuthenticate

##### Event Type

Type | Description
--- | ---
AsyncEventHandler<BeforeSslAuthenticateEventArgs> |